Loading...
Searching...
No Matches
ojph::argument Class Reference

`#include <ojph_arg.h>`

## Public Member Functions

| argument ()
bool | is_valid ()

## Public Attributes

char * | arg

## Private Attributes

int | index

## Friends

class | cli_interpreter

## Detailed Description

Definition at line 53 of file ojph_arg.h.

## Constructor & Destructor Documentation

## argument()

ojph::argument::argument | ( |  | ) |

inline

Definition at line 56 of file ojph_arg.h.

References arg, and index.

## Member Function Documentation

## is_valid()

bool ojph::argument::is_valid | ( |  | ) |

inline

Definition at line 58 of file ojph_arg.h.

References arg.

Referenced by get_arguments(), get_arguments(), get_arguments(), ojph::cli_interpreter::reinterpret(), ojph::cli_interpreter::reinterpret(), ojph::cli_interpreter::reinterpret(), ojph::cli_interpreter::reinterpret(), ojph::cli_interpreter::reinterpret(), ojph::cli_interpreter::reinterpret(), ojph::cli_interpreter::reinterpret(), and ojph::cli_interpreter::reinterpret_to_bool().

## Friends And Related Symbol Documentation

## cli_interpreter

friend class cli_interpreter

friend

Definition at line 54 of file ojph_arg.h.

References cli_interpreter.

Referenced by cli_interpreter.

## Member Data Documentation

## arg

char* ojph::argument::arg

Definition at line 57 of file ojph_arg.h.

Referenced by argument(), ojph::cli_interpreter::find_argument(), ojph::cli_interpreter::get_argument_zero(), get_arguments(), get_arguments(), get_arguments(), ojph::cli_interpreter::get_next_avail_argument(), ojph::cli_interpreter::get_next_value(), is_valid(), ojph::cli_interpreter::reinterpret(), ojph::cli_interpreter::reinterpret(), ojph::cli_interpreter::reinterpret(), ojph::cli_interpreter::reinterpret(), ojph::cli_interpreter::reinterpret(), ojph::cli_interpreter::reinterpret(), and ojph::cli_interpreter::reinterpret_to_bool().

## index

int ojph::argument::index

private

Definition at line 60 of file ojph_arg.h.

Referenced by argument(), ojph::cli_interpreter::find_argument(), ojph::cli_interpreter::get_next_avail_argument(), ojph::cli_interpreter::get_next_value(), and ojph::cli_interpreter::release_argument().

The documentation for this class was generated from the following file:

- /build/openjph-z1hyMm/openjph-0.28.1/src/core/openjph/ojph_arg.h